@charset "UTF-8";

/*Typical Devices Breakpoints
-----------------------------
Pequenas telas: até 600px
Celular: 600px até 768px
Tablet: 769px até 992px
desktop: 993 até 1200px
Grandes telas: 1201px e acima
*/

/*Aplicações globais*/
*, *::after, *::before{ /*Estilos globais*/
    font-family: Arial, Helvetica, sans-serif;
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    background-color: #E9E9F1;
}

header {
    width: 100%;
    height: 140px;
    position: fixed;
    z-index: 1;
}

/*Parte superior do menu*/
#topMenu {
    width: 100%;
    height: 140px;
    background-color: white;
    display: flex;
}

#logo {
    margin: auto 0 auto 20px;
    width: min-content;
    height: min-content;
    user-select: none;
    -webkit-tap-highlight-color: #ffffff00;
}

#logo > img {
    width: 220px;
    height: auto;
}

#titulo {
    color: #fff;
    margin: auto;
    padding: 0 10px;
    text-align: center;
}

#menu {
    margin: auto 20px auto auto;
    display: flex;
}

#menuButton {
    margin: auto;
    margin: auto 20px auto auto;
    display: flex;
}

#userButton {
    display: none;
}

#userButtonLabel {
    width: 100vw;
    height: fit-content;
    margin: auto;
    display: flex;
    align-items: center;
    cursor: pointer;
    color:#fff;
}

#userButtonLabel > img {
    width: 28px;
    height: auto;
    font-size: 16px;
    margin-right: 10px;
    -webkit-tap-highlight-color: #ffffff00;
}

#menuHamburguer {
    border-radius: 25%;
    margin: auto 30px auto auto;
    width: 40px;
    height: 40px;
    display: flex;
    cursor: pointer;
    -webkit-tap-highlight-color: #ffffff00;
}

#menuHamburguer > div {
    width: fit-content;
    height: fit-content;
    margin: auto;
}

#menuHamburguer > div > div {
    width: 20px;
    height: 2px;
    background-color: #04234C;
    margin: 6px;
    transition: 0.4s;
}

#menuHamburguer.active .line1 {
    transform: rotate(-45deg) translate(-6px, 5.5px);
}

#menuHamburguer.active .line2 {
    opacity: 0;
}

#menuHamburguer.active .line3 {
    transform: rotate(45deg) translate(-6px, -5.5px);
}

/*Parte inferior do menu*/
#linkDiv {
    top: 140px;
    width: 100vw;
    height: calc(100vh - 140px);
    position: absolute;
    overflow-y: auto;
    padding: 0;
    max-height: 0;
    transition: max-height 0.4s;
    backdrop-filter: blur(2px);
    background-color: white;
}

#linkDiv.active {
    max-height: calc(100vh - 140px);
}

nav {
    width: 100%;
    height: fit-content;
    display: flex;
    flex-direction: column;
    padding: 0px 0px;
    background-color: unset;
}

#linkList {
    display: flex;
    flex-direction: column;
    list-style: none;
    width: 100%;
}

.menuList {
    width: 100%;
    padding: 25px 30px;
    text-decoration: none;
    font-size: 16px;
}

.menuList:last-child {
    padding: 20px 30px;
}

.menuList a {
    color: #04234C;
    text-decoration: none;
    font-size: 16px;
}

.menuDropdown {
    width: 100%;
    color: #04234C;
    text-decoration: none;
    font-size: 16px;
    padding: 0;
    display: block;
}

.pSubMenu  {
    display: flex;
    cursor: pointer;
    -webkit-tap-highlight-color: #00000000;
    padding: 25px 30px;
    gap: 10px;
}

.seta {
    transition: all 450ms ease-in-out;
}

.menuDropdown.active .seta {
    transform: rotate(180deg);
}

.menuDropdown ul {
    width: auto;
    height: fit-content;
    display: flex;
    flex-direction: column;
    position: relative;
    max-height: 0;
    overflow: hidden;
    transition: all 450ms ease-in-out;
}

.subMenu ul > li > a { 
    color: #04234C;
    text-decoration: none;
}

.subMenu ul > li {
    list-style: none;
    width: 100%;
    padding: 25px 30px;
}

.subMenu > ul > li {
    background-color: #d2d2d2;
}

.menuDropdown.active .subMenu > ul {
    max-height: 300px;
}

@media screen and (max-width: 300px) {
    #logo {
        width: 180px;
        height: auto;
    }

    #logo > img {
        width: 180px;
        height: auto;
    }
}

@media screen and (min-width: 993px) {
    /*Parte superior do menu*/
    header {
        width: 100vw;
        height: 10vw; 
    }

    #topMenu {
        width: 100%;
        height: fit-content;
        flex-direction: row;
        justify-content: flex-end;
    }

    #logo {
        margin: auto auto auto 2vw;
        width: fit-content;
        height: fit-content;
    }

    #logo > img {
        width: 10vw;
        height: auto;
    }

    #titulo {
        padding: 0 1vw;
        font-size: 1.8vw;
    }

    #menu {
        margin: auto 20px;
    }

    #menuHamburguer {
        display: none;
    }

    #menuButton {
        margin: auto 0 auto 0;
        background-color: unset;
    }

    #userButtonLabel {
        width: fit-content;
        height: fit-content;
        padding: 0.7vw 1.3vw 0.7vw 0.7vw;
        margin: 0 0 0 10px;
        border-radius: 0.8vw;
        display: flex;
        flex-direction: row;
        gap: 1vw;
        font-size: 1.2vw;
    }

    #userButtonLabel > img {
        width: 2vw;
        height: auto;
        margin: auto;
        color: #fff;
    }

    /*Parte inferior do menu*/
    #linkDiv {
        top: unset;
        width: fit-content;
        height: fit-content;
        padding: 0;
        max-height: unset;
        backdrop-filter: unset;
        position: static;
        background-color: unset;
        display: flex;
        margin-right: unset;
    }

    nav {
        width: fit-content;
        height: fit-content;
        display: flex;
        flex-direction: row;
        padding: 1vw;
        margin: auto 2vw;
        background-color: #2d2d2d;
        border-radius: 0.8vw;
        background-color: unset;
    }

    #linkList {
        display: flex;
        flex-direction: row;
        margin: auto 0;
        gap: 2vw;
    }

    li.menuList {
        padding: 0 0;
        margin: auto;
        width: fit-content;
    }

    .menuList a {
        font-size: 1.17vw;
    }

    .pSubMenu {
        padding: 0;
    }

    .menuDropdown {
        margin: auto;
        padding: 0;
        text-decoration: none;
        font-size: 1.17vw;
        background-color: unset;
        width: max-content;
    }
    
    .menuDropdown p {
        padding: 0;
        cursor: pointer;
        -webkit-tap-highlight-color: #00000000;
    }

    .subMenu {
        display: block;
    }
    
    .subMenu > ul {
        margin-left: -1vw;
        position: absolute;
        height: fit-content;
        flex-direction: column;
        max-height: 0;
        overflow: hidden;
        border-radius: 0 0 1vw 1vw;
        transition: all 450ms ease-in-out;
        padding-top: 2vw;
    }
    
    .subMenu > ul > li {
        list-style: none;
        width: 100%;
        padding: 1vw;
    }
    
    .subMenu > ul > li {
        background-color: #d2d2d2;
    }

    .menuDropdown.active .subMenu > ul {
        max-height: 20vw;
    } 

    .menuList:last-child {
        padding: 0;
    }
}